package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.apparatus.Apparatus;
import com.iamberry.wechat.core.entity.product.ProductRelatedRstProduce;

import java.util.List;

/**
 * Created by liuzhiwei on 2017/12/28.
 */
public interface ApparatusMapper {

    /**
     * 分页查询机器列表
     * @param apparatus
     * @return
     */
    List<Apparatus> listApparatusPage(Apparatus apparatus);

    /**
     * 分页查询机器列表
     * @param apparatus
     * @return
     */
    List<Apparatus> listApparatusPageByAdmin(Apparatus apparatus);

    /**
     * 添加机器信息
     * @param apparatus
     * @return
     */
    Integer addApparatus(Apparatus apparatus);

    /**
     * 根据openid和条形码查询单个机器信息
     * **/
    Apparatus getApparatus(Apparatus apparatus);

    /**
     * 根据RST产品id和查询颜色id
     * **/
    Integer getColorIdByProductId(String productId);

    /**
     * 添加产品颜色与pts产品关联信息
     */
    Integer addColorIdByProductId(ProductRelatedRstProduce productRelatedRstProduce);

    /**
     *删除一个牙刷
     * @param code
     * @return
     */
    Integer delApparatus(String code);
}
